# Class XYMultipleSeriesDataset

java.lang.Object
com.codename1.charts.models.XYMultipleSeriesDataset

public class XYMultipleSeriesDataset extends Object
A series that includes 0 to many XYSeries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XYMultipleSeriesDataset()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllSeries(List<XYSeries> series)`
  Adds all the provided XY series to the list.
  `void`
  `addSeries(int index, XYSeries series)`
  Adds a new XY series to the list.
  `void`
  `addSeries(XYSeries series)`
  Adds a new XY series to the list.
  `void`
  `clear()`
  Removes all the XY series from the list.
  `XYSeries[]`
  `getSeries()`
  Returns an array of the XY series.
  `XYSeries`
  `getSeriesAt(int index)`
  Returns the XY series at the specified index.
  `int`
  `getSeriesCount()`
  Returns the XY series count.
  `void`
  `removeSeries(int index)`
  Removes the XY series from the list.
  `void`
  `removeSeries(XYSeries series)`
  Removes the XY series from the list.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XYMultipleSeriesDataset

    public XYMultipleSeriesDataset()

- ## Method Details

  - ### addSeries

    public void addSeries(XYSeries series)

    Adds a new XY series to the list.

    ###### Parameters

    - `series`: the XY series to add

  - ### addSeries

    public void addSeries(int index, XYSeries series)

    Adds a new XY series to the list.

    ###### Parameters

    - `index`: the index in the series list

    - `series`: the XY series to add

  - ### addAllSeries

    public void addAllSeries(List<XYSeries> series)

    Adds all the provided XY series to the list.

    ###### Parameters

    - `series`: the XY series to add

  - ### removeSeries

    public void removeSeries(int index)

    Removes the XY series from the list.

    ###### Parameters

    - `index`: the index in the series list of the series to remove

  - ### removeSeries

    public void removeSeries(XYSeries series)

    Removes the XY series from the list.

    ###### Parameters

    - `series`: the XY series to be removed

  - ### clear

    public void clear()
    Removes all the XY series from the list.

  - ### getSeriesAt

    public XYSeries getSeriesAt(int index)

    Returns the XY series at the specified index.

    ###### Parameters

    - `index`: the index

    ###### Returns

    the XY series at the index

  - ### getSeriesCount

    public int getSeriesCount()

    Returns the XY series count.

    ###### Returns

    the XY series count

  - ### getSeries

    public XYSeries[] getSeries()

    Returns an array of the XY series.

    ###### Returns

    the XY series array